# $Revision: 1.12 $, $Date: 2009/03/21 11:57:11 $
Summary:	Radio plugin for the Xfce panel
Summary(pl.UTF-8):	Wtyczka z radiem dla panelu Xfce
Name:		xfce4-radio-plugin
Version:	0.4.2
Release:	1
License:	GPL v2
Group:		X11/Applications
Source0:	http://goodies.xfce.org/releases/xfce4-radio-plugin/%{name}-%{version}.tar.gz
# Source0-md5:	954eeb91af7ae8d1a38c7994a638318c
URL:		http://goodies.xfce.org/projects/panel-plugins/xfce4-radio-plugin
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	xfce4-dev-tools >= 4.4.0
BuildRequires:	xfce4-panel-devel >= 4.4.0
Requires(post,postun):	gtk+2
Requires(post,postun):	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an Xfce panel plugin which allows you to control your V4l
radio device. You can turn your radio on/off, tune it to some
frequency and manage station presets.

%description -l pl.UTF-8
Ten pakiet zawiera wtyczkę dla panelu Xfce pozwalającą sterować radiem
dostępnym przez interfejs V4l. Można włączać i wyłączać radio, stroić
na jakąś częstotliwość i zarządzać ustawieniami stacji.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-radio-plugin
%{_datadir}/xfce4/panel-plugins/*
%{_iconsdir}/hicolor/*/*/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xfce4-radio-plugin.spec,v $
Revision 1.12  2009/03/21 11:57:11  duddits
- up to 0.4.2
- cleaning

Revision 1.11  2009/01/24 00:20:21  adamg
- updated to 0.4.1

Revision 1.10  2008/06/29 11:43:43  hawk
- locale fix: pt_PT -> pt

Revision 1.9  2008/06/20 06:07:33  adamg
- updated to 0.3.1

Revision 1.8  2007-12-08 20:02:41  megabajt
- updated Source0 URL

Revision 1.7  2007-12-08 18:03:08  megabajt
- updated to 0.2.1

Revision 1.6  2007-02-12 22:09:22  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.4  2007/01/26 18:00:17  megabajt
- updated deps, URL
- added %update_icon_cache macro

Revision 1.3  2006/05/24 18:53:26  charles
- rel. 1

Revision 1.2  2006/05/23 19:30:47  qboosh
- pl

Revision 1.1  2006/05/17 23:48:15  charles
- new
